Форум русскоязычного сообщества Ubuntu


Следите за новостями русскоязычного сообщества Ubuntu в Twitter-ленте @ubuntu_ru_loco

Автор Тема: Не могу обновить пакеты  (Прочитано 260 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Yantar1985

  • Автор темы
  • Любитель
  • *
  • Сообщений: 87
    • Просмотр профиля
Не могу обновить пакеты
« : 28 Февраль 2016, 23:25:46 »
при обновлении системы выдает - ошибка операции над пакетом установка или удаление пакетов программ не удалось

sudo apt-get update && sudo apt-get upgrade
(Нажмите, чтобы показать/скрыть)

ls -l /var/lib/dpkg/info | grep firefox.list
(Нажмите, чтобы показать/скрыть)

делал четыре команды, по-очереди
sudo su
chown root:root /var/lib/dpkg/info/firefox.list
chmod 0644 /var/lib/dpkg/info/firefox.list
exit
не помогло

ай нид хелп!

Оффлайн ARTGALGANO

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1815
    • Просмотр профиля
Re: Не могу обновить пакеты
« Ответ #1 : 28 Февраль 2016, 23:34:57 »
sudo rm /var/lib/dpkg/info/firefox.list

Оффлайн Yantar1985

  • Автор темы
  • Любитель
  • *
  • Сообщений: 87
    • Просмотр профиля
Re: Не могу обновить пакеты
« Ответ #2 : 29 Февраль 2016, 05:32:52 »
sudo rm /var/lib/dpkg/info/firefox.list
терминал не подал никаких признаков после введения этой комбинации
но все заработало
sudo apt-get update && sudo apt-get upgradeпроцесс пошел - все обновилось

СПАСИБО ОГРОМНОЕ ЗА ПОМОЩЬ
« Последнее редактирование: 29 Февраль 2016, 05:46:04 от Yantar1985 »

Оффлайн peregrine

  • FSM
  • СуперМодератор
  • Старожил
  • *
  • Сообщений: 7083
  • Gentoo x64 Ubuntu 16.04.1 x64
    • Просмотр профиля
Re: Не могу обновить пакеты
« Ответ #3 : 29 Февраль 2016, 06:55:51 »
Yantar1985, sudo su не надо использовать. sudo -i есть.

Да и Решено лучше пометку ставить, если всё нормально.

 

Страница сгенерирована за 0.084 секунд. Запросов: 25.